# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`tcpwrappers`](#tcpwrappers): Set up tcpwrappers

### Defined types

* [`tcpwrappers::allow`](#tcpwrappers--allow)

## Classes

### <a name="tcpwrappers"></a>`tcpwrappers`

Set up tcpwrappers

#### Parameters

The following parameters are available in the `tcpwrappers` class:

* [`default_deny`](#-tcpwrappers--default_deny)
* [`allow_all_local`](#-tcpwrappers--allow_all_local)
* [`package_ensure`](#-tcpwrappers--package_ensure)

##### <a name="-tcpwrappers--default_deny"></a>`default_deny`

Data type: `Boolean`

Add a default ``ALL: ALL`` to ``/etc/hosts.deny``

Default value: `true`

##### <a name="-tcpwrappers--allow_all_local"></a>`allow_all_local`

Data type: `Boolean`

Allow connections to all services from the local system

* This includes all representations of the local system that are available
  via ``facter`` and shortcut notation, such as ``LOCAL``.

Default value: `true`

##### <a name="-tcpwrappers--package_ensure"></a>`package_ensure`

Data type: `String`

The ensure status of packages to be managed

Default value: `simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })`

## Defined types

### <a name="tcpwrappers--allow"></a>`tcpwrappers::allow`

The tcpwrappers::allow class.

#### Parameters

The following parameters are available in the `tcpwrappers::allow` defined type:

* [`pattern`](#-tcpwrappers--allow--pattern)
* [`order`](#-tcpwrappers--allow--order)
* [`svc`](#-tcpwrappers--allow--svc)

##### <a name="-tcpwrappers--allow--pattern"></a>`pattern`

Data type: `Variant[String,Array[String]]`

The allow pattern based on the content of the man page

##### <a name="-tcpwrappers--allow--order"></a>`order`

Data type: `Integer`

The order in which you want this rule to appear

* IF you don't specify an order, the rules will be listed in alphabetical
  order

Default value: `1000`

##### <a name="-tcpwrappers--allow--svc"></a>`svc`

Data type: `Optional[String]`

The name of the service

* This is useful if you wish to use the same service name more than once

Default value: `undef`

